package pps.core.base.service.data.base_power_line;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 输电线路配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Data
public class DeleteBasePowerLineInput {

    @XText("ID")
    @NotBlank(message = "缺少线路ID")
    private String id;

    @XText("组织机构ID")
    private String ouId;

    @XText("上级线路ID")
    private String upperLineId;

    @XText("线路名称")
    private String lineName;

    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    @XText("线路类型key(字典获取)")
    private String lineTypeKey;

    @XText("市电峰谷配置ID")
    private String strategyId;

    @XText("是否激活共享调度(0_激活;1_关闭)")
    private Integer isShareDispatch;

    @XText("是否激活返输调度(0_激活;1_关闭)")
    private Integer isReverseDispatch;
}
